2019/07/26

Fix Plone Non-zero version length. Versions aren't supported

https://gist.github.com/GhitaB/6b346ba5aac8ecb38f6bc2ac112e7213

Errors:
ValueErrorZEO.zrpc.connection in call
Non-zero version length. Versions aren't supported
ReadConflictError: database read conflict error

Solution:
In plone container: execute shell

$ bin/instance debug
$ app._p_jar.root._root['zc.async']
$ del app._p_jar.root._root['zc.async']
$ import transaction
$ transaction.commit()
$ app._p_jar.root
<root: Application>

No comments:

Post a Comment